<?php

namespace Modules\Admin\app\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class TechnicalUser extends Model
{
    use HasFactory;

    protected $table = 'technicals_users';

    // Các trường có thể được fill
    protected $fillable = [
        'user_id',
        'technical_id',
        'point',
    ];

    // Quan hệ với bảng users
    public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }

    // Quan hệ với bảng technicals
    public function technical()
    {
        return $this->belongsTo(Technical::class, 'technical_id');
    }
}
